Summary: GNOME Bluetooth Subsystem
Name: gnome-bluetooth
Version: 0.5.1
Release: 5.FC3.1
License: GPL
Group: System Environment/Libraries
URL: http://usefulinc.com/software/gnome-bluetooth
Source: http://usefulinc.com/software/gnome-bluetooth/releases/%{name}-%{version}.tar.gz
Patch1: gnome-bluetooth-0.5.1-pydir.patch
Patch2: gnome-bluetooth-0.5.1-auto.patch
Patch3: gnome-bluetooth-0.5.1-unref.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: autoconf >= 0:2.57 bluez-libs-devel >= 0:2.8 bluez-utils 
BuildRequires: glib2-devel >= 0:2.2.0 libgnomeui-devel >= 0:2.2 libbonobo-devel >= 0:2.0
BuildRequires: GConf2-devel >= 0:2.0 librsvg2-devel
BuildRequires: libbtctl-devel >= 0:0.4.1-2
BuildRequires: gob2 openobex-devel >= 0:1.0.1 perl
BuildRequires: pygtk2-devel
ExcludeArch: s390 s390x

%description
This package contains a Bonobo server to control Bluetooth devices,
and a simple GUI to explore which devices are available
(gnome-bluetooth-admin).  Also, an OBEX server is available,
gnome-obex-server.  This will receive files sent via Bluetooth to your PC,
and save them in your home directory.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch1 -p1 -b .pydir
%patch2 -p1 -b .auto
%patch3 -p1 -b .unref

#perl -pi -e 's#-DGTK_DISABLE_DEPRECATED##g' $(find libegg -name Makefile.in)

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
./libtool --finish $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules

# we do not want .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libbluetooth.*a
%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README 
#%{_bindir}/gnome-bluetooth-admin
%{_bindir}/gnome-bluetooth-manager
%{_bindir}/gnome-obex-server
%{_bindir}/gnome-obex-send
%{_datadir}/applications/gnome-obex-server.desktop
%{_datadir}/gnome-bluetooth
%{_prefix}/include/gnome-bluetooth
%{_libdir}/bonobo/libgnome-bluetooth-component.so
%{_libdir}/bonobo/servers/GNOME_Bluetooth_Component.server
%{_libdir}/libgnomebt.so*
%{_libdir}/pkgconfig/gnome-bluetooth.pc
%dir %{_libdir}/python*.*/site-packages/gnomebt
%{_libdir}/python*.*/site-packages/gnomebt/*
%{_datadir}/applications/gnome-bluetooth-manager.desktop

%changelog
* Mon Dec 06 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-5.FC3.1
- fixed again gnome-bluetooth-manager script for 64bit (bug 134864)
- include libgnomebt.so symlink  

* Fri Oct 08 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-5
- buildrequire pygtk2-devel (bug 135032)
- fixed gnome-bluetooth-manager script for 64bit (bug 134864)
- fixed segfault on file receive (bug 133041)

* Mon Sep 27 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-4
- buildrequire libbtctl-devel
- buildrequire openobex-devel >= 1.0.1
- pythondir -> pyexecdir

* Wed Jul 28 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-3
- added build dependency for librsvg2-devel

* Tue Jul 27 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-2
- added pydir patch

* Thu Jul 22 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-1
- version 0.5.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 25 2004 Harald Hoyer <harald@redhat.com> - 0.4.1-8
- corrected BuildRequires

* Wed Mar 10 2004 Harald Hoyer <harald@redhat.com> - 0.4.1-7
- added EggToolBar patch for gcc34

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Harald Hoyer <harald@redhat.de> 0.4.1-4
- added autofoo patch

* Thu Aug 28 2003 Harald Hoyer <harald@redhat.de> 0.4.1-3
- add .so to gnome-vfs module, if libtool does not!

* Thu Aug 07 2003 Harald Hoyer <harald@redhat.de> 0.4.1-2
- call libtool finish

* Wed Aug  6 2003 Harald Hoyer <harald@redhat.de> 0.4.1-1
- new version 0.4.1

* Wed Jun  5 2003 Harald Hoyer <harald@redhat.de> 0.4-1
- initial RPM


